# Record TCefRequestContext

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefRequestContext = record`

## Description

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

NOTE: This struct is allocated DLL-side.

Implemented by ICefRequestContext.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_capi.h">CEF source file: /include/capi/cef_request_context_capi.h (cef_request_context_t))

## Overview

### Fields

| `base: TCefPreferenceManager;`
| `is_same: function(self, other: PCefRequestContext): Integer; stdcall;`
| `is_sharing_with: function(self, other: PCefRequestContext): Integer; stdcall;`
| `is_global: function(self: PCefRequestContext): Integer; stdcall;`
| `get_handler: function(self: PCefRequestContext): PCefRequestContextHandler; stdcall;`
| `get_cache_path: function(self: PCefRequestContext): PCefStringUserFree; stdcall;`
| `get_cookie_manager: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefCookieManager; stdcall;`
| `register_scheme_handler_factory: function(self: PCefRequestContext; const scheme_name, domain_name: PCefString; factory: PCefSchemeHandlerFactory): Integer; stdcall;`
| `clear_scheme_handler_factories: function(self: PCefRequestContext): Integer; stdcall;`
| `clear_certificate_exceptions: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`
| `clear_http_auth_credentials: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`
| `close_all_connections: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`
| `resolve_host: procedure(self: PCefRequestContext; const origin: PCefString; callback: PCefResolveCallback); stdcall;`
| `get_media_router: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefMediaRouter; stdcall;`
| `get_website_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): PCefValue; stdcall;`
| `set_website_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: PCefValue); stdcall;`
| `get_content_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): TCefContentSettingValues; stdcall;`
| `set_content_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: TCefContentSettingValues); stdcall;`
| `set_chrome_color_scheme: procedure(self: PCefRequestContext; variant: TCefColorVariant; user_color: TCefColor); stdcall;`
| `get_chrome_color_scheme_mode: function(self: PCefRequestContext): TCefColorVariant; stdcall;`
| `get_chrome_color_scheme_color: function(self: PCefRequestContext): TCefColor; stdcall;`
| `get_chrome_color_scheme_variant: function(self: PCefRequestContext): TCefColorVariant; stdcall;`
| `add_setting_observer: function(self: PCefRequestContext; observer: PCefSettingObserver): PCefRegistration; stdcall;`
| `clear_http_cache: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`

## Description

### Fields

| `base: TCefPreferenceManager;`
This item has no description.

| `is_same: function(self, other: PCefRequestContext): Integer; stdcall;`
This item has no description.

| `is_sharing_with: function(self, other: PCefRequestContext): Integer; stdcall;`
This item has no description.

| `is_global: function(self: PCefRequestContext): Integer; stdcall;`
This item has no description.

| `get_handler: function(self: PCefRequestContext): PCefRequestContextHandler; stdcall;`
This item has no description.

| `get_cache_path: function(self: PCefRequestContext): PCefStringUserFree; stdcall;`
This item has no description.

| `get_cookie_manager: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefCookieManager; stdcall;`
This item has no description.

| `register_scheme_handler_factory: function(self: PCefRequestContext; const scheme_name, domain_name: PCefString; factory: PCefSchemeHandlerFactory): Integer; stdcall;`
This item has no description.

| `clear_scheme_handler_factories: function(self: PCefRequestContext): Integer; stdcall;`
This item has no description.

| `clear_certificate_exceptions: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`
This item has no description.

| `clear_http_auth_credentials: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`
This item has no description.

| `close_all_connections: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`
This item has no description.

| `resolve_host: procedure(self: PCefRequestContext; const origin: PCefString; callback: PCefResolveCallback); stdcall;`
This item has no description.

| `get_media_router: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefMediaRouter; stdcall;`
This item has no description.

| `get_website_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): PCefValue; stdcall;`
This item has no description.

| `set_website_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: PCefValue); stdcall;`
This item has no description.

| `get_content_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): TCefContentSettingValues; stdcall;`
This item has no description.

| `set_content_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: TCefContentSettingValues); stdcall;`
This item has no description.

| `set_chrome_color_scheme: procedure(self: PCefRequestContext; variant: TCefColorVariant; user_color: TCefColor); stdcall;`
This item has no description.

| `get_chrome_color_scheme_mode: function(self: PCefRequestContext): TCefColorVariant; stdcall;`
This item has no description.

| `get_chrome_color_scheme_color: function(self: PCefRequestContext): TCefColor; stdcall;`
This item has no description.

| `get_chrome_color_scheme_variant: function(self: PCefRequestContext): TCefColorVariant; stdcall;`
This item has no description.

| `add_setting_observer: function(self: PCefRequestContext; observer: PCefSettingObserver): PCefRegistration; stdcall;`
This item has no description.

| `clear_http_cache: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;`
* CEF_API_ADDED(13401) *

Generated by PasDoc 0.17.0.snapshot.